StdioMessageDispatcherFactory (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.stdio.StdioMessageDispatcherFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.stdio
Class StdioMessageDispatcherFactory

    java.lang.Object
      org.mule.transport.AbstractMessageDispatcherFactory
          org.mule.transport.stdio.StdioMessageDispatcherFactory

All Implemented Interfaces:
  MessageDispatcherFactory

    public class StdioMessageDispatcherFactory

extends AbstractMessageDispatcherFactory

`StdioMessageDispatcherFactory` creates a Stream dispatcher suitable for writing to fixed streams such as System.in or System.out.

Constructor Summary
`StdioMessageDispatcherFactory()`

Method Summary
`MessageDispatcher` | `create(OutboundEndpoint endpoint)` Creates a new message dispatcher instance, initialised with the passed endpoint.

Methods inherited from class org.mule.transport.AbstractMessageDispatcherFactory
`activate, destroy, isCreateDispatcherPerRequest, passivate, toString, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StdioMessageDispatcherFactory

    public StdioMessageDispatcherFactory()

Method Detail

### create

    public MessageDispatcher create(OutboundEndpoint endpoint)
                             throws MuleException

  Description copied from interface: `MessageDispatcherFactory`
  Creates a new message dispatcher instance, initialised with the passed endpoint. The returned instance should be immediately useable.

  Specified by:
    `create` in interface `MessageDispatcherFactory`
  Specified by:
    `create` in class `AbstractMessageDispatcherFactory`
  Parameters:
    `endpoint` - the endoint for which this dispatcher should be created
  Returns:
    a properly created `MessageDispatcher` for this transport
  Throws:
    `MuleException` - if the dispatcher cannot be created

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.